/* $Id: omega_pfits.h,v 1.1.1.1 2011-03-16 11:59:34 agabasch Exp $
 *
 * This file is part of the oc Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2011-03-16 11:59:34 $
 * $Revision: 1.1.1.1 $
 * $Name: not supported by cvs2svn $
 */

#ifndef OC_PFITS_H
#define OC_PFITS_H

/*
 *  Includes
 */

#include <cpl.h>


/**
 * @ingroup wfi_pfits
 *
 * @brief
 *   Prototypes of functions to access FITS header information
 */

const char * omega_pfits_get_arcfile(const cpl_propertylist *) ;
const char * omega_pfits_get_date_obs(const cpl_propertylist *);
const char * omega_pfits_get_templateid(const cpl_propertylist *);
const char *omega_pfits_get_chipid(const cpl_propertylist *plist);
const char * omega_pfits_get_extname(const cpl_propertylist *plist);
int omega_compare_extname(cpl_propertylist *plist1, cpl_propertylist *plist2);

cpl_propertylist * omega_pfits_get_filter(const cpl_propertylist *, const cpl_propertylist *);

double omega_pfits_get_dit(const cpl_propertylist *) ;
double omega_pfits_get_mjdobs(const cpl_propertylist *);
double omega_pfits_get_exptime(const cpl_propertylist *);

extern int omega_pfits_get_detlive(const cpl_propertylist *plist, int *detlive);

int omega_pfits_check_instrume (const cpl_frame *);
int omega_pfits_get_instrume (const cpl_propertylist *);
int omega_pfits_get_orientation (const char *);
int omega_pfits_get_overscan(const cpl_frame *frame, int xn);

void omega_pfits_get_airmass(const cpl_propertylist *, double *, double *);
void omega_pfits_get_gain(cpl_propertylist *, double *);
void omega_pfits_get_conad(cpl_propertylist *plist, double *conad);
void omega_pfits_get_mean_airmass(const cpl_propertylist *, double *);
void omega_pfits_get_readnoise(cpl_propertylist *, double *);
void omega_pfits_get_xysize (const char *, int *, int *);
cpl_propertylist * omega_pfits_get_filter_info(const cpl_propertylist *main);
int omega_pfits_update_header(cpl_propertylist *to, const cpl_propertylist *from);
void omega_get_gain(int ext, double *gain);
cpl_vector * omega_pfits_get_preovscan(const cpl_propertylist *plist);
double omega_pfits_get_jitter_offset(cpl_propertylist *plist);
double omega_pfits_get_dither_offsetx(cpl_propertylist *plist);
double omega_pfits_get_dither_offsety(cpl_propertylist *plist);
double omega_pfits_get_offset_alpha(cpl_propertylist *plist);
double omega_pfits_get_offset_delta(cpl_propertylist *plist);
double omega_pfits_get_cd11(const cpl_propertylist *plist);
double omega_pfits_get_cd12(const cpl_propertylist *plist);
double omega_pfits_get_cd21(const cpl_propertylist *plist);
double omega_pfits_get_cd22(const cpl_propertylist *plist);
double omega_pfits_get_cdelt2(const cpl_propertylist *plist);
void omega_pfits_get_chip_size(const cpl_propertylist *plist,int *xs, int *ys);

#endif
