/* $Id: omega_wcscor.h,v 1.2 2011-08-02 13:14:17 agabasch Exp $
 *
 * This file is part of the OmegaCAM Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2011-08-02 13:14:17 $
 * $Revision: 1.2 $
 * $Name: not supported by cvs2svn $
 */
#ifndef OMEGA_WCSCOR_H_
#define OMEGA_WCSCOR_H_

#include <cpl.h>


/**
 * @ingroup omega_wcscor
 *
 * @brief
 *   Functions to handle astrometric calculations.
 */


cpl_propertylist *omega_match_points(const char *reduced, const char *reduced_weight, const cpl_frame *catalog, cpl_parameterlist *pars,
									int ext, int *nmatches, double *mratio);
int omega_shift_refpix(const cpl_frame *frame, int xn, cpl_propertylist *xlist);
void omega_wfi_correct_wcs(cpl_propertylist *mplist, cpl_propertylist *xplist);


#endif /* OMEGA_WCSCOR_H_ */
